Bug 844186 - Log rotate should rotate logs of all active processes
Log rotate should rotate logs of all active processes
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: logging (Show other bugs)
mainline
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
: Triaged
Depends On:
Blocks: 852428
  Show dependency treegraph
 
Reported: 2012-07-29 12:49 EDT by Vijay Bellur
Modified: 2015-10-22 11:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852428 (view as bug list)
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijay Bellur 2012-07-29 12:49:57 EDT
Description of problem:

Log rotate should rotage logs of all active Gluster processes in a system. Right now, logs of glustershd, nfs, auxiliary mounts used in rebalancing are not rotated when volume log rotate <volname> is used.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Amar Tumballi 2012-10-22 00:06:35 EDT
would like to solve the issue by handling all logs with logrotate package.
Comment 2 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.